<div fxLayout="column" fxLayoutAlign="space-between center">

<h2 mat-dialog-title>Create a new role</h2>

<mat-form-field class="example-form-field">
    <mat-label>Role name</mat-label>
    <input matInput type="text" [(ngModel)]="roleName" placeholder="New role name...">
</mat-form-field>


<mat-form-field class="example-chip-list">
    <mat-label>Role permissions</mat-label>
    <mat-chip-list #chipList aria-label="Permission selection">
        <mat-chip *ngFor="let permission of permissions" [selectable]="selectable" [removable]="removable"
            (removed)="remove(permission)">
            {{permission}}
            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
        </mat-chip>
        <input placeholder="New permission..." #permissionInput [formControl]="permissionForm" [matAutocomplete]="auto"
            [matChipInputFor]="chipList" [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
            (matChipInputTokenEnd)="add($event)">
    </mat-chip-list>
    <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
        <mat-option *ngFor="let permission of filteredPermissions | async" [value]="permission">
            {{permission}}
        </mat-option>
    </mat-autocomplete>
</mat-form-field>

<div>
    <button (click)="createRole()" mat-raised-button color="primary" [disabled]="!roleName">Create Role</button>
</div>

</div>